Numeric input UI element is rendered. The current options are to render it as a slider or a spinner.

### Hierarchy

- InputOptionsBase
  - NumberInputOptions

## Index

### Properties

- labelTKey
- max
- min
- step
- uiType

## Properties

### labelTKey

labelTKey: string

Inherited from InputOptionsBase.labelTKey

Key used to pickup the string corresponding to the label of the UI element, from the strings JSON file.

### max

max: number | (() => Promise<number>)

Max value of the numeric input UI element

### min

min: number | (() => Promise<number>)

Min value of the numeric input UI element

### step

step: number | (() => Promise<number>)

Value by which the numeric input is incremented or decremented in the UI.

### uiType

uiType: NumberUiType

The type of the numeric input UI element

Generated using TypeDoc